# ModifyDisksResourceGroup

## 1. 接口描述

本接口(ModifyDisksResourceGroup)用于修改云硬盘所属的资源组。

{% hint style="info" %}
**注意事项**

* 资源组为一个虚拟概念，用户可以在一个账户下面建立多个资源组，每个资源组中管理不同的资源；将多个不同实例分属到不同资源组中，后续使用[`DescribeDisks`](/api-reference/cn/compute/zec/disk/describedisks.md)接口查询实例，通过`resourceGroupId`可用于过滤结果。
* 该接口只有管理员角色的用户能够进行操作。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型              | 描述             |
| --------------- | -- | --------------- | -------------- |
| diskIds         | 是  | Array of String | 要迁移资源组的云盘ID列表。 |
| resourceGroupId | 是  | String          | 目标资源组ID。       |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 将云盘移动到指定资源组。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyDisksResourceGroup
<Common Request Params>

Request：
{
  "diskIds": ["diskId1", "diskId2"],
  "resourceGroupId": "resourceGroup1"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk/modifydisksresourcegroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
